org.eclipse.eef.core.api

## Interface EEFView

All Known Implementing Classes:
  EEFViewImpl

    public interface EEFView

The view if the root concept of the EEF model.

### Method Summary

All Methods Instance Methods Abstract Methods
`EditingContextAdapter` `getContextAdapter()` Returns the editing context adapter.
`EEFViewDescription` `getDescription()` Returns the description of the `EEFView`.
`org.eclipse.sirius.common.interpreter.api.IInterpreter` `getInterpreter()` Returns the interpreter.
`java.util.List<EEFPage>` `getPages()` Returns the `EEFPage` to display in the `EEFView`.
`org.eclipse.sirius.common.interpreter.api.IVariableManager` `getVariableManager()` Returns the variable manager.
`void` `initialize()` Initializes the view by creating the pages and groups used to compute the tab and section descriptors.
`void` `setInput(InputDescriptor input)` Sets the input of the view.

### Method Detail

#### initialize

    void initialize()

Initializes the view by creating the pages and groups used to compute the tab and section descriptors.

#### setInput

    void setInput(InputDescriptor input)

Sets the input of the view.

Parameters:
  `input` - The input

#### getDescription

    EEFViewDescription getDescription()

Returns the description of the `EEFView`.

Returns:
  The `EEFViewDescription`

#### getPages

    java.util.List<EEFPage> getPages()

Returns the `EEFPage` to display in the `EEFView`.

Returns:
  The `EEFPage`

#### getVariableManager

    org.eclipse.sirius.common.interpreter.api.IVariableManager getVariableManager()

Returns the variable manager.

Returns:
  The variable manager

#### getInterpreter

    org.eclipse.sirius.common.interpreter.api.IInterpreter getInterpreter()

Returns the interpreter.

Returns:
  The interpreter

#### getContextAdapter

    EditingContextAdapter getContextAdapter()

Returns the editing context adapter.

Returns:
  the context adapter.